Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

7 - Autres sujets : le nimp'

Dernier post

Pb compilation Jamin

seal20 utilisateur non connecté Portugal
bonjour,

je me bats de puis qq jours avec Jamin... j'ai installé Mdv2011-64bits et les paquets Ardour et Jamin ne fonctionnent pas bien qu'ils s'installent sans soucis.

Je suis parvenu à installer ardour 2.0.8.12 avec le tarball, puis en ajoutant xterm car l'install fait appele à ce dernier.

En revanche pour Jamin, je n rencontre que des messages d'erreurs, le dernier en date lors de la compilation :
checking FFTW_LIBS... -lfftw3f -lm  
checking for libxml-2.0 >= 2.0... Package libxml-2.0 was not found in the pkg-config search path. Perhaps you should add the directory containing `libxml-2.0.pc' to the PKG_CONFIG_PATH environment variable No package 'libxml-2.0' found
configure: error: Library requirements (libxml-2.0 >= 2.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
[root@Silencio jamin-0.95.0]# urpmi libxml-devel
Le paquetage lib64xml1-devel-1.8.17-18.1-mdv2011.0.x86_64 est déjà installé
[root@Silencio jamin-0.95.0]#


Si qq'un sait ...

cjpsimon utilisateur non connecté
Libxml-2 est la lib XML de gnome qui est utilisée par ardour dans ma version Debian. On dirait que tu est sous Mandriva. Regarde si tu trouve une libxml-2 pour ta distribution car à priori c'est celle-là qui est demandée.

Claude Simon

seal20 utilisateur non connecté Portugal
oui, ça semble tre ok :
Version : 2.7.8-6-mdv2011.0
Version actuellement installée : 2.7.8-6
Groupe : Système/Bibliothèques
Architecture : i586

seal20 utilisateur non connecté Portugal
En fait je viens d'installer tous les paquets manquants, ./configure, make make install est ok mais lors du lancement de jamin :
(C) 2003-2005 J. Depner, S. Harris, J. O'Quin, R. Parker and P. Shirkey
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details.
Cannot find plugin 'sc4_1882.so'
Cannot find plugin 'fast_lookahead_limiter_1913.so'
Required plugin missing.


allany utilisateur non connecté
Salut,

A ce qu'il me semble, sc4 et fast_lookahead sont deux plugin's ladspa et comme il s'agit d'un compresseur et d'un limiter, je suppose qu'ils sont les "moteurs" de Jamin...
Il est donc impératif qu'ils soient installés.

Il faudrait que tu vérifies que le paquet ladspa-plugins (ou équivalent) soit bien installé sur ta distrib'.

Sinon, tu peux aussi vérifier où se trouvent les plugins car d'un environnement à l'autre, ça peut être dans /usr/local/lib/ladspa ou dans /usr/lib/ladspa.
Donc, soit les linker (commande ln -s) soit les copier en leur donnant tous les droits (sudo chmod a+rwx nom_plug).

A+

seal20 utilisateur non connecté Portugal
les fichiers sont dans /usr/lib64/ladspa

allany utilisateur non connecté
Alors, peut être en créant un lien symbolique ?
Du genre :
sudo ln -s /usr/lib/ladspa/sc4_1882.so /usr/lib64/ladspa/sc4_1882.so

mais dont la syntaxe (de mémoire) est à vérifier.

Il pourrait, en effet, être intéressant, pour la suite, de linker l'ensemble du répertoire ladspa (le lv2 aussi), si la commande ln le permettait car tu pourrais rencontrer le même genre de souci avec d'autres softs qui ne trouveraient pas les plugs, non plus...

A+

Note modération-forum (olinuxx le 31 juillet 2020 à 11h04) : message déplacé depuis 4 - Techniques et manipulations du son.


Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Faire un don
[Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

calixtus06, 07:16, mer. 30 Nov 2022: Bonjour et bienvenue à Ikben Zogroot :-)
olinuxx, 18:07, lun. 28 Nov 2022: Bonjour et bienvenue à NicolasJ cool
calixtus06, 07:55, sam. 26 Nov 2022: Bonjour et bienvenue à Bob33 :-)
calixtus06, 08:54, mar. 22 Nov 2022: Bonjour et bienvenue à gadeu :-)
olinuxx, 10:02, dim. 20 Nov 2022: Bonjour et bienvenue à Neandertahl cool
sub26nico, 13:39, mer. 16 Nov 2022: Merci Samuel ;-)
Samuel, 21:17, lun. 14 Nov 2022: [Lien] C'est de la balle et c'est enregistré avec librazik
olinuxx, 18:53, dim. 13 Nov 2022: @christorbec : le mégaphone ne sert pas à se faire dépanner. Ouvre un fil dans le forum.
christorbec, 15:22, dim. 13 Nov 2022: changer de soundfont dans ToneLib-jam ?
calixtus06, 06:59, dim. 13 Nov 2022: Bonjour et bienvenue à Djefux :-)
calixtus06, 11:59, sam. 12 Nov 2022: Bonjour et bienvenue à zardoz45 :-)
calixtus06, 07:10, mer. 09 Nov 2022: Bonjour et bienvenue à majneb :-)